Bug 110943 - /proc broken
/proc broken
Status: CLOSED DUPLICATE of bug 110895
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
s390x Linux
high Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-25 14:08 EST by Oliver Paukstadt
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:00:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Paukstadt 2003-11-25 14:08:19 EST
Description of problem:
We installed a fresh RedHat AS 3 for s390x downloaded from RHN.

This system showed strange effects.
sshd was running, because we can login to the guest via ssh but ps
does not list the sshd.
Same effect with cups and sendmail. We could talk to them but they are
not listet with ps.
netstat shows that the ports are used by programs with unknown pids.
Only a few pids are listed in /proc. The listed pids are shown in ps
and netstat.
What processes are shown depends on memory size of the guests.

This is for example the one were sshd is shown but no cups:

[root@li010 proc]# ps aux
USER       PID %CPU %MEM   VSZ  RSS TTY      STAT START   TIME COMMAND
root         1  0.0  0.2  1720  624 ?        S    16:22   0:00 init
root         2  0.0  0.0     0    0 ?        SW   16:22   0:00
[migration/0]
root         3  0.0  0.0     0    0 ?        SW   16:22   0:00 [kmcheck]
root         4  0.0  0.0     0    0 ?        SW   16:22   0:00 [keventd]
root         5  0.0  0.0     0    0 ?        SWN  16:22   0:00
[ksoftirqd/0]
root         8  0.0  0.0     0    0 ?        SW   16:22   0:00 [bdflush]
root         6  0.0  0.0     0    0 ?        SW   16:22   0:00 [kswapd]
root         7  0.0  0.0     0    0 ?        SW   16:22   0:00 [kscand]
root         9  0.0  0.0     0    0 ?        SW   16:22   0:00 [kupdated]
root        10  0.0  0.0     0    0 ?        SW   16:22   0:00
[mdrecoveryd]
root       742  0.0  0.2  1784  740 ?        S    16:22   0:00 crond
daemon     751  0.0  0.2  1768  660 ?        S    16:22   0:00
/usr/sbin/atd
root       765  0.0  0.2  1700  532 ?        S    16:22   0:00
/sbin/mingetty console --noclear
root       766  0.0  1.1  7852 2796 ?        S    16:23   0:00 sshd:
root@pts/0
root       768  0.0  0.7 34112 1768 pts/0    S    16:23   0:00 -bash
root      1166  0.0  0.3  3088  844 pts/0    R    17:01   0:00 ps aux
 

[root@li010 proc]# netstat -anp
Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address           Foreign Address        
State PID/Program name
tcp        0      0 0.0.0.0:32768           0.0.0.0:*              
LISTEN -
tcp        0      0 0.0.0.0:111             0.0.0.0:*              
LISTEN -
tcp        0      0 0.0.0.0:22              0.0.0.0:*              
LISTEN -
tcp        0      0 0.0.0.0:631             0.0.0.0:*              
LISTEN -
tcp        0      0 127.0.0.1:25            0.0.0.0:*              
LISTEN -
tcp        0      0 172.17.15.2:22          172.17.15.1:2095       
ESTABLISHED 766/0
udp        0      0 0.0.0.0:32768           0.0.0.0:* -
udp        0      0 0.0.0.0:772             0.0.0.0:* -
udp        0      0 0.0.0.0:111             0.0.0.0:* -
udp        0      0 0.0.0.0:631             0.0.0.0:* -
Active UNIX domain sockets (servers and established)
Proto RefCnt Flags       Type       State         I-Node PID/Program
name    Path
unix  7      [ ]         DGRAM                    761    -           
       /dev/log
unix  2      [ ]         DGRAM                    1096   742/crond
unix  2      [ ]         DGRAM                    1079   -
unix  2      [ ]         DGRAM                    1065   -
unix  2      [ ]         DGRAM                    813    -
unix  2      [ ]         DGRAM                    769    -
 
[root@li010 proc]# top
 17:02:28  up 40 min,  1 user,  load average: 0.00, 0.00, 0.00
16 processes: 14 sleeping, 2 running, 0 zombie, 0 stopped
CPU states:  cpu    user    nice  system    irq  softirq  iowait    idle
           total    0.0%    0.0%    0.0%   0.0%     0.0%    0.0%  100.0%
Mem:   249212k av,   45520k used,  203692k free,       0k shrd,   
4468k buff
        27408k active,               2900k inactive
Swap:  132376k av,       0k used,  132376k free                  
21416k cached
 
  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME CPU COMMAND
    1 root      15   0   624  624   552 S     0.0  0.2   0:00   0 init
    2 root      RT   0     0    0     0 SW    0.0  0.0   0:00   0
migration/0
    3 root      25   0     0    0     0 SW    0.0  0.0   0:00   0 kmcheck
    4 root      15   0     0    0     0 SW    0.0  0.0   0:00   0 keventd
    5 root      34  19     0    0     0 SWN   0.0  0.0   0:00   0
ksoftirqd/0
    8 root      25   0     0    0     0 SW    0.0  0.0   0:00   0 bdflush
    6 root      15   0     0    0     0 SW    0.0  0.0   0:00   0 kswapd
    7 root      15   0     0    0     0 SW    0.0  0.0   0:00   0 kscand
    9 root      15   0     0    0     0 SW    0.0  0.0   0:00   0 kupdated
   10 root      25   0     0    0     0 SW    0.0  0.0   0:00   0
mdrecoveryd
  742 root      15   0   740  740   652 S     0.0  0.2   0:00   0 crond
  751 daemon    15   0   660  660   584 S     0.0  0.2   0:00   0 atd
  765 root      15   0   532  532   464 S     0.0  0.2   0:00   0 mingetty
  766 root      15   0  2796 2796  2248 R     0.0  1.1   0:00   0 sshd
  768 root      15   0  1768 1768  1468 S     0.0  0.7   0:00   0 bash
 1168 root      15   0  1348 1348  1120 R     0.0  0.5   0:00   0 top
 
[root@li010 proc]# ls /proc
1     6    8           cpuinfo      filesystems  kmsg     modules    
       self         sysrq-trigger
10    7    9           crypto       fs           ksyms    mounts     
       slabinfo     sysvipc
1170  742  bus         dasd         iomem        loadavg  net        
       stat         tty
2     751  chandev     devices      ioports      locks    partitions 
       subchannels  uptime
3     765  chpids      dma          irq          mdstat   qeth       
       swaps        version
4     766  cio_ignore  driver       irq_count    meminfo 
qeth_ipa_takeover  sys5     768  cmdline     execdomains  kcore      
 misc     s390dbf            sysinfo
 
[root@li010 proc]# telnet 127.0.0.1 631
Trying 127.0.0.1...
Connected to li010 (127.0.0.1).
Escape character is '^]'.
GET / HTTP/1.0
 
HTTP/1.0 200 OK
Date: Thu, 20 Nov 2003 16:03:56 GMT
Server: CUPS/1.1
Content-Language:
Content-Type: text/html; charset=iso-8859-1
Last-Modified: Mon, 01 Sep 2003 15:50:06 GMT
Content-Length: 1599
 
<HTML>
<HEAD>
        <TITLE>Common UNIX Printing System</TITLE>
        <LINK REL=STYLESHEET TYPE="text/css" HREF="cups.css">
        <MAP NAME="navbar">
                <AREA SHAPE="RECT" COORDS="12,10,50,20"
HREF="http://www.easysw.com" ALT="Easy Software Products Home Page">
                <AREA SHAPE="RECT" COORDS="82,10,196,20" HREF="admin"
ALT="Do Administration Tasks">
                <AREA SHAPE="RECT" COORDS="216,10,280,20"
HREF="classes" ALT="Manage Printer Classes Status">
                <AREA SHAPE="RECT" COORDS="300,10,336,20"
HREF="documentation.html" ALT="On-Line Help">
                <AREA SHAPE="RECT" COORDS="356,10,394,20" HREF="jobs"
ALT="Manage Jobs">
                <AREA SHAPE="RECT" COORDS="414,10,476,20"
HREF="printers" ALT="Manage Printers">
                <AREA SHAPE="RECT" COORDS="496,10,568,20"
HREF="http://www.cups.org" ALT="Download the Current CUPS Software">
        </MAP>
</HEAD>
 
<BODY BGCOLOR="#cccc99" TEXT="#000000" LINK="#0000FF" VLINK="#FF00FF">
<CENTER>
<IMG SRC="/images/navbar.gif" WIDTH="583" HEIGHT="30" USEMAP="#navbar"
BORDER="0" ALT="Common UNIX Printing System">
</CENTER>
 
<H1><A HREF="admin">Do Administration Tasks</A></H1>
<H1><A HREF="classes">Manage Printer Classes</A></H1>
<H1><A HREF="documentation.html">On-Line Help</A></H1>
<H1><A HREF="jobs">Manage Jobs</A></H1>
<H1><A HREF="printers">Manage Printers</A></H1>
<H1><A HREF="http://www.cups.org">Download the Current CUPS
Software</A></H1>
 
<HR>
 
<P>The Common UNIX Printing System, CUPS, and the CUPS logo are the
trademark property of <A HREF="http://www.easysw.com">Easy Software
Products</A>. CUPS is copyright 1997-2002 by Easy Software Products,
All Rights Reserved.
 
</BODY>
</HTML>
Connection closed by foreign host.
Comment 1 Pete Zaitcev 2003-11-25 15:48:45 EST

*** This bug has been marked as a duplicate of 110895 ***
Comment 2 Red Hat Bugzilla 2006-02-21 14:00:11 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.